Delete Streaming Locator – Media API – MediaKind
Delete Streaming Locator
del https://app.mk.io/api/v1/projects/:project_name/media/streamingLocators/:locator_name
Deletes the Streaming Locator. If the Streaming Locator does not exist, a 204 is returned same as if it does. Once the Streaming Locator is deleted, all future requests to the path owned by the Streaming Locator will fail. If content is cached in a CDN, playback may continue to work for some time until the cached content expires.
RBAC Capability Required: ams.streaminglocator.delete
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_namestring Requiredlocator_namestring Required
Response
200 Streaming Locator deleted.
No response body.
204 Nothing to delete.
No response body.
Errors
400 Bad Request
errorobject ErrorDetail RequiredPertinent information about the error
code
string RequiredThe error code.
detail
string RequiredThe error message.
extraDetail
map from strings to any OptionalExtra information regarding this error.
ref
string RequiredA reference to the request that caused the error.
status
integer RequiredThe HTTP status code
401 Unauthorized
errorobject ErrorDetail RequiredPertinent information about the error
code
string RequiredThe error code.
detail
string RequiredThe error message.
extraDetail
map from strings to any OptionalExtra information regarding this error.
ref
string RequiredA reference to the request that caused the error.
status
integer RequiredThe HTTP status code
403 Forbidden
404 Not Found
429 Too Many Requests
500 Internal Server Error
Each of these errors follows the same object structure as shown above.